#include<bits/stdc++.h>

using namespace std;

int n;
string s;
int a[26];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    cin>>n;
    cin>>s;

    //if (n<=26) cout<<0;

    int prvo_pojavljivanje_a=-1;
    for (int i=0;i<n;i++)
    {
        if (s[i]=='A')
        {
            prvo_pojavljivanje_a=i;
            break;
        }
    }

    int poslednje_pojavljivanje_z=-1;
    for (int i=n-1;i>=0;i--)
    {
        if (s[i]=='Z')
        {
            poslednje_pojavljivanje_z=i;
            break;
        }
    }

    a[0]=1;
    for (int i=prvo_pojavljivanje_a+1;i<=poslednje_pojavljivanje_z;i++)
    {
        char c=s[i];
        if (c=='A') a[0]=((a[0]%(1000000007))+1)%(1000000007);
        else
        {
            int t=c-'A';
            a[t]=(a[t]%1000000007)+(a[t-1]%1000000007);
        }
    }

    cout<<a[25];

    return 0;
}